Index: tmp/org.txm.treetagger.core/.classpath
===================================================================
--- tmp/org.txm.treetagger.core/.classpath	(revision 926)
+++ tmp/org.txm.treetagger.core/.classpath	(revision 927)
@@ -7,5 +7,7 @@
 		</accessrules>
 	</classpathentry>
 	<classpathentry kind="src" path="src"/>
+	<classpathentry exported="true" kind="con" path="GROOVY_SUPPORT"/>
+	<classpathentry exported="true" kind="con" path="GROOVY_DSL_SUPPORT"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.treetagger.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetagger.core/META-INF/MANIFEST.MF	(revision 926)
+++ tmp/org.txm.treetagger.core/META-INF/MANIFEST.MF	(revision 927)
@@ -1,6 +1,7 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.core;bundle-version="0.8.0";visibility:=reexport
-Export-Package: org.txm.treetagger.core.preferences
+Require-Bundle: org.txm.annotation.core;visibility:=reexport
+Export-Package: org.txm.treetagger.core,
+ org.txm.treetagger.core.preferences
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: TreeTagger Core
Index: tmp/org.txm.treetagger.core/.project
===================================================================
--- tmp/org.txm.treetagger.core/.project	(revision 926)
+++ tmp/org.txm.treetagger.core/.project	(revision 927)
@@ -22,6 +22,7 @@
 		</buildCommand>
 	</buildSpec>
 	<natures>
+		<nature>org.eclipse.jdt.groovy.core.groovyNature</nature>
 		<nature>org.eclipse.pde.PluginNature</nature>
 		<nature>org.eclipse.jdt.core.javanature</nature>
 	</natures>
Index: tmp/org.txm.libs.groovy-all/.classpath
===================================================================
--- tmp/org.txm.libs.groovy-all/.classpath	(revision 926)
+++ tmp/org.txm.libs.groovy-all/.classpath	(revision 927)
@@ -2,6 +2,30 @@
 <classpath>
 	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
 	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
-	<classpathentry exported="true" kind="lib" path="lib/groovy-all-2.3.7.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-ant-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-bsf-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-cli-commons-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-cli-picocli-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-console-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-datetime-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-dateutil-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-docgenerator-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-groovydoc-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-groovysh-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-jmx-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-json-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-json-direct-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-jsr223-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-macro-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-nio-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-servlet-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-sql-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-swing-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-templates-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-test-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-test-junit5-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-testng-2.5.0-indy.jar"/>
+	<classpathentry exported="true" kind="lib" path="lib/groovy-xml-2.5.0-indy.jar"/>
 	<classpathentry kind="output" path="bin"/>
 </classpath>
Index: tmp/org.txm.libs.groovy-all/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.groovy-all/META-INF/MANIFEST.MF	(revision 926)
+++ tmp/org.txm.libs.groovy-all/META-INF/MANIFEST.MF	(revision 927)
@@ -3,14 +3,44 @@
 Bundle-Name: Groovy-all
 Bundle-SymbolicName: org.txm.libs.groovy-all
 Bundle-Version: 2.3.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-ClassPath: .,
+ lib/groovy-xml-2.5.0-indy.jar,
+ lib/groovy-2.5.0-indy.jar,
+ lib/groovy-ant-2.5.0-indy.jar,
+ lib/groovy-bsf-2.5.0-indy.jar,
+ lib/groovy-cli-commons-2.5.0-indy.jar,
+ lib/groovy-cli-picocli-2.5.0-indy.jar,
+ lib/groovy-console-2.5.0-indy.jar,
+ lib/groovy-datetime-2.5.0-indy.jar,
+ lib/groovy-dateutil-2.5.0-indy.jar,
+ lib/groovy-docgenerator-2.5.0-indy.jar,
+ lib/groovy-groovydoc-2.5.0-indy.jar,
+ lib/groovy-groovysh-2.5.0-indy.jar,
+ lib/groovy-jmx-2.5.0-indy.jar,
+ lib/groovy-json-2.5.0-indy.jar,
+ lib/groovy-json-direct-2.5.0-indy.jar,
+ lib/groovy-jsr223-2.5.0-indy.jar,
+ lib/groovy-macro-2.5.0-indy.jar,
+ lib/groovy-nio-2.5.0-indy.jar,
+ lib/groovy-servlet-2.5.0-indy.jar,
+ lib/groovy-sql-2.5.0-indy.jar,
+ lib/groovy-swing-2.5.0-indy.jar,
+ lib/groovy-templates-2.5.0-indy.jar,
+ lib/groovy-test-2.5.0-indy.jar,
+ lib/groovy-test-junit5-2.5.0-indy.jar,
+ lib/groovy-testng-2.5.0-indy.jar
 Export-Package: groovy.beans,
+ groovy.cli,
+ groovy.cli.commons,
+ groovy.cli.picocli,
  groovy.grape,
  groovy.inspect,
  groovy.inspect.swingui,
  groovy.io,
  groovy.jmx.builder,
  groovy.json,
- groovy.json.internal,
+ groovy.junit5.plugin,
  groovy.lang,
  groovy.mock.interceptor,
  groovy.model,
@@ -27,8 +57,10 @@
  groovy.time,
  groovy.transform,
  groovy.transform.builder,
+ groovy.transform.options,
  groovy.transform.stc,
  groovy.ui,
+ groovy.ui.icons,
  groovy.ui.text,
  groovy.ui.view,
  groovy.util,
@@ -36,6 +68,7 @@
  groovy.util.slurpersupport,
  groovy.xml,
  groovy.xml.dom,
+ groovy.xml.jaxb,
  groovy.xml.streamingmarkupsupport,
  groovyjarjarantlr,
  groovyjarjarantlr.ASdebug,
@@ -55,6 +88,25 @@
  groovyjarjarasm.asm.tree,
  groovyjarjarasm.asm.util,
  groovyjarjarcommonscli,
+ groovyjarjarpicocli,
+ groovyjarjarpicocli.groovy,
+ org.apache.groovy.ast.tools,
+ org.apache.groovy.datetime.extensions,
+ org.apache.groovy.dateutil.extensions,
+ org.apache.groovy.docgenerator,
+ org.apache.groovy.internal.metaclass,
+ org.apache.groovy.internal.util,
+ org.apache.groovy.io,
+ org.apache.groovy.json,
+ org.apache.groovy.json.internal,
+ org.apache.groovy.jsondirect,
+ org.apache.groovy.lang.annotation,
+ org.apache.groovy.metaclass,
+ org.apache.groovy.plugin,
+ org.apache.groovy.plugin.testng,
+ org.apache.groovy.sql.extensions,
+ org.apache.groovy.util,
+ org.apache.groovy.util.concurrentlinkedhashmap,
  org.codehaus.groovy,
  org.codehaus.groovy.ant,
  org.codehaus.groovy.antlr,
@@ -63,6 +115,7 @@
  org.codehaus.groovy.antlr.treewalker,
  org.codehaus.groovy.ast,
  org.codehaus.groovy.ast.builder,
+ org.codehaus.groovy.ast.decompiled,
  org.codehaus.groovy.ast.expr,
  org.codehaus.groovy.ast.stmt,
  org.codehaus.groovy.ast.tools,
@@ -70,8 +123,10 @@
  org.codehaus.groovy.bsf,
  org.codehaus.groovy.classgen,
  org.codehaus.groovy.classgen.asm,
+ org.codehaus.groovy.classgen.asm.indy,
+ org.codehaus.groovy.classgen.asm.indy.sc,
  org.codehaus.groovy.classgen.asm.sc,
- org.codehaus.groovy.cli,
+ org.codehaus.groovy.classgen.asm.util,
  org.codehaus.groovy.control,
  org.codehaus.groovy.control.customizers,
  org.codehaus.groovy.control.customizers.builder,
@@ -79,9 +134,16 @@
  org.codehaus.groovy.control.messages,
  org.codehaus.groovy.groovydoc,
  org.codehaus.groovy.jsr223,
+ org.codehaus.groovy.macro.matcher,
+ org.codehaus.groovy.macro.matcher.internal,
+ org.codehaus.groovy.macro.methods,
+ org.codehaus.groovy.macro.runtime,
+ org.codehaus.groovy.macro.transform,
  org.codehaus.groovy.plugin,
  org.codehaus.groovy.reflection,
+ org.codehaus.groovy.reflection.android,
  org.codehaus.groovy.reflection.stdclasses,
+ org.codehaus.groovy.reflection.v7,
  org.codehaus.groovy.runtime,
  org.codehaus.groovy.runtime.callsite,
  org.codehaus.groovy.runtime.dgmimpl,
@@ -98,6 +160,9 @@
  org.codehaus.groovy.tools.ast,
  org.codehaus.groovy.tools.groovydoc,
  org.codehaus.groovy.tools.groovydoc.gstringTemplates,
+ org.codehaus.groovy.tools.groovydoc.gstringTemplates.classLevel,
+ org.codehaus.groovy.tools.groovydoc.gstringTemplates.packageLevel,
+ org.codehaus.groovy.tools.groovydoc.gstringTemplates.topLevel,
  org.codehaus.groovy.tools.gse,
  org.codehaus.groovy.tools.javac,
  org.codehaus.groovy.tools.shell,
@@ -114,7 +179,6 @@
  org.codehaus.groovy.util,
  org.codehaus.groovy.vmplugin,
  org.codehaus.groovy.vmplugin.v5,
- org.codehaus.groovy.vmplugin.v6
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
-Bundle-ClassPath: .,
- lib/groovy-all-2.3.7.jar
+ org.codehaus.groovy.vmplugin.v6,
+ org.codehaus.groovy.vmplugin.v7,
+ org.codehaus.groovy.vmplugin.v8
Index: tmp/org.txm.tigersearch.rcp/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- tmp/org.txm.tigersearch.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 926)
+++ tmp/org.txm.tigersearch.rcp/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 927)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=-1
+groovy.compiler.level=25
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 926)
+++ tmp/org.txm.tigersearch.rcp/META-INF/MANIFEST.MF	(revision 927)
@@ -1,17 +1,6 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.rcp;bundle-version="0.7.8";visibility:=reexpor
- t,org.txm.core;bundle-version="0.7.0";visibility:=reexport,org.eclips
- e.ui;visibility:=reexport,org.eclipse.core.runtime;visibility:=reexpo
- rt,org.eclipse.ui.editors;bundle-version="3.8.200";visibility:=reexpo
- rt,org.eclipse.swt;visibility:=reexport,org.txm.searchengine.core;bun
- dle-version="1.0.0";visibility:=reexport,org.txm.searchengine.cqp.cor
- e;bundle-version="1.1.0";visibility:=reexport,org.txm.statsengine.cor
- e;bundle-version="1.0.0";visibility:=reexport,org.txm.statsengine.r.c
- ore;bundle-version="1.0.0";visibility:=reexport,org.txm.statsengine.r
- .rcp;bundle-version="1.0.0";visibility:=reexport,org.txm.index.core;b
- undle-version="1.0.0";visibility:=reexport,org.txm.index.rcp;bundle-v
- ersion="1.0.0";visibility:=reexport,org.txm.utils;visibility:=reexpor
- t,org.txm.groovy.core;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.txm.index.rcp;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.groovy.core;bundle-version="1.0.0";visibility:=reexport
 Export-Package: .,com.sun.java.help.impl,com.sun.java.help.search,com.
  sun.msv.datatype,com.sun.msv.datatype.xsd,com.sun.msv.datatype.xsd.da
  tetime,com.sun.msv.datatype.xsd.ngimpl,com.sun.msv.driver.textui,com.
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/importer/srcmf/srcmfLoader.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/importer/srcmf/srcmfLoader.groovy	(revision 926)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/importer/srcmf/srcmfLoader.groovy	(revision 927)
@@ -34,9 +34,10 @@
 import org.txm.importer.xmltxm.compiler;
 import org.txm.importer.xml.pager;
 import org.txm.objects.*;
-import org.txm.utils.*;
+import org.txm.utils.*
+import org.txm.utils.io.;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.metadatas.*;
 import org.txm.utils.i18n.*;
 import org.w3c.dom.Element
@@ -226,4 +227,4 @@
 catch (IOException e) { System.out.println("IO: "+e.getMessage()); }
 catch (SAXException e) { System.out.println("SAX: "+e.getMessage()); }
 
-tigerXmlAll.delete()
+tigerXmlAll.delete()
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/importer/tigersearch/tigersearchLoader.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/importer/tigersearch/tigersearchLoader.groovy	(revision 926)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/importer/tigersearch/tigersearchLoader.groovy	(revision 927)
@@ -34,7 +34,7 @@
 import org.txm.tokenizer.TokenizerClasses;
 import org.txm.utils.*;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.i18n.*;
 import org.txm.metadatas.*;
 import javax.xml.stream.*;
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/DoInstall.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/DoInstall.java	(revision 926)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/tigersearch/commands/DoInstall.java	(revision 927)
@@ -14,6 +14,6 @@
 	{
 		File outputDirectory = new File(Toolbox.getTxmHomePath(), "scripts/import");
 		outputDirectory.mkdirs();
-		BundleUtils.copyFiles("TIGERSearchRCP", "src", "org/txm/importer/tigersearch", "tigersearchLoader.groovy", outputDirectory);
+		BundleUtils.copyFiles("org.txm.tigersearch.rcp", "groovy", "org/txm/importer/tigersearch", "tigersearchLoader.groovy", outputDirectory);
 	}
 }
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/export/ts/MatchInject.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/export/ts/MatchInject.groovy	(revision 926)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/export/ts/MatchInject.groovy	(revision 927)
@@ -3,8 +3,10 @@
 
 import org.xml.sax.XMLReader;
 import org.xml.sax.helpers.XMLReaderFactory;
-import groovy.util.slurpersupport.NodeChild
+import groovy.util.*
 
+//import groovy.util.slurpersupport.NodeChild
+
 /*
  * The script takes the <matches/> elements from file "Tiger_match.xml"
  * and inserts them at the end of the <s/> element bearing the same ID.
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 926)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/AnnotationEngine.java	(revision 927)
@@ -1,12 +1,49 @@
 package org.txm.annotation.core;
 
+import java.io.File;
+import java.io.FileFilter;
+import java.util.HashMap;
+
 import org.txm.core.engines.Engine;
 
-//FIXME: useless class
 public abstract class AnnotationEngine implements Engine {
 
 	public static final String EXTENSION_POINT_ID = AnnotationEngine.class.getCanonicalName();
 
 	@Override
 	public abstract String getName();
+	
+	/**
+	 * 
+	 * @return true if the Annotation Engine can be used in the "importer" step of import modules
+	 */
+	public abstract boolean isAutomatic();
+	
+	public abstract boolean processFile(File xmlFile, File binaryCorpusDirectory, HashMap<String, Object> parameters);
+	
+	/**
+	 * 
+	 * @param xmlFilesDirectory contains the *.xml files to process
+	 * @param binaryCorpusDirectory the output directory
+	 * @param parameters ["lang": model_file_name_without_extension]
+	 * @return
+	 */
+	public boolean processDirectory(File xmlFilesDirectory, File binaryCorpusDirectory, HashMap<String, Object> parameters) {
+		File[] files = xmlFilesDirectory.listFiles(new FileFilter() {
+			
+			@Override
+			public boolean accept(File pathname) {
+				return pathname.isFile() && !pathname.isHidden() && !pathname.getName().startsWith(".") && pathname.getName().endsWith(".xml");
+			}
+		});
+		if (files == null || files.length == 0) {
+			System.out.println("Error: no suitable file to process in "+xmlFilesDirectory);
+			return false;
+		}
+		boolean ret = true;
+		for (File xmlFile : files) {
+			ret = ret && processFile(xmlFile, binaryCorpusDirectory, parameters);
+		}
+		return ret;
+	}
 }
Index: tmp/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs
===================================================================
--- tmp/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 926)
+++ tmp/org.txm.groovy.core/.settings/org.eclipse.jdt.groovy.core.prefs	(revision 927)
@@ -1,3 +1,3 @@
 eclipse.preferences.version=1
-groovy.compiler.level=-1
+groovy.compiler.level=25
 groovy.script.filters=**/*.dsld,y,**/*.gradle,n
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/doc/DocumentToTei.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/doc/DocumentToTei.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/doc/DocumentToTei.groovy	(revision 927)
@@ -30,7 +30,7 @@
 import java.io.File;
 import org.txm.importer.ApplyXsl2;
 import org.txm.importer.ConvertDocument;
-
+import org.txm.utils.zip.Zip
 /**
  * The Class DocumentToTei.
  */
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/importer/XTZImporterMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/importer/XTZImporterMacro.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/importer/XTZImporterMacro.groovy	(revision 927)
@@ -37,9 +37,10 @@
 import org.txm.importer.xml.pager;
 import org.txm.objects.*;
 import org.txm.tokenizer.TokenizerClasses;
-import org.txm.utils.*;
+import org.txm.utils.*
+import org.txm.utils.io.;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.i18n.*;
 import org.txm.metadatas.*;
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/tal/melt/MEltAnnotate.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/tal/melt/MEltAnnotate.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/tal/melt/MEltAnnotate.groovy	(revision 927)
@@ -41,7 +41,7 @@
 import org.txm.importer.*
 import org.txm.importer.cwb.*
 import org.txm.objects.*
-import org.txm.scripts.teitxm.Annotate;
+import org.txm.importer.xmltxm.Annotate;
 import org.txm.tal.SlashFile2TTRez;
 import org.txm.utils.LangDetector;
 import org.txm.utils.treetagger.TreeTagger
@@ -147,8 +147,6 @@
 
 	public static void main(def args) {
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:/Program Files/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH, new File("/home/mdecorde/treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH, new File("/home/mdecorde/treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/compiler.groovy	(revision 927)
@@ -33,7 +33,7 @@
 import org.txm.importer.cwb.*
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.io.FileCopy;
 import org.txm.utils.treetagger.TreeTagger;
 import java.util.ArrayList;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/cqpLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/cqpLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/cqpLoader.groovy	(revision 927)
@@ -5,8 +5,9 @@
 import java.util.ArrayList;
 
 import org.txm.objects.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.*;
+import org.txm.core.engines.*;
 import org.txm.utils.i18n.*;
 import org.txm.metadatas.*;
 import org.txm.utils.io.FileCopy;
@@ -26,9 +27,6 @@
 	if (!org.txm.Toolbox.isInitialized()) {
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
 		//Toolbox.setParam(Toolbox.INSTALL_DIR,new File("C:\\Program Files\\TXM"));//For Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		//Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File("C:\\Program Files\\treetagger"));//for Windows
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/graal/qgraalLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/graal/qgraalLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/graal/qgraalLoader.groovy	(revision 927)
@@ -39,7 +39,8 @@
 //import org.txm.importer.cwb.CwbMakeAll
 //import org.txm.importer.cwb.PatchCwbRegistry;
 //import org.txm.objects.*;
-//import org.txm.utils.*;
+//import org.txm.utils.*
+import org.txm.utils.io.;
 //String userDir = System.getProperty("user.home");
 //
 //String rootDir;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/xmltxmLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/xmltxmLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/xmltxmLoader.groovy	(revision 927)
@@ -40,9 +40,11 @@
 import org.txm.importer.xmltxm.compiler;
 import org.txm.importer.xml.pager;
 import org.txm.objects.*;
-import org.txm.utils.*;
+import org.txm.utils.*
+import org.txm.utils.io.;
 import org.txm.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.core.engines.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.metadatas.*;
 import org.txm.utils.i18n.*;
 import org.w3c.dom.Element;
@@ -58,8 +60,6 @@
 	params.load()
 	if (!org.txm.Toolbox.isInitialized()) {
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
@@ -236,4 +236,4 @@
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
 File paramFile = new File(binDir, "import.xml");
-DomUtils.save(params.root.getOwnerDocument(), paramFile);readyToLoad = true;
+DomUtils.save(params.root.getOwnerDocument(), paramFile);readyToLoad = true;
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/compiler.groovy	(revision 927)
@@ -32,13 +32,14 @@
 import java.util.ArrayList;;
 
 import org.txm.*;
+import org.txm.core.engines.*;
 import org.txm.importer.cwb.BuildCwbEncodeArgs;
 import org.txm.importer.cwb.CwbEncode
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/discoursLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/discoursLoader.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/discoursLoader.groovy	(revision 927)
@@ -32,6 +32,7 @@
 import org.txm.objects.*;
 import org.txm.utils.*;
 import org.txm.*;
+import org.txm.core.engines.*;
 import org.txm.utils.i18n.*;
 import org.w3c.dom.Element
 import org.txm.utils.xml.DomUtils;
@@ -49,8 +50,6 @@
 	if (!org.txm.Toolbox.isInitialized()) {
 
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File("/usr/lib/TXM"));
-		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"treetagger"));
-		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"treetagger/models"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
 		Toolbox.setParam(Toolbox.METADATA_TXTSEPARATOR, "\"");
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/discours/compiler.groovy	(revision 927)
@@ -32,8 +32,8 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/compiler.groovy	(revision 927)
@@ -36,8 +36,8 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/lasla/importer.groovy	(revision 927)
@@ -34,7 +34,7 @@
 import org.txm.importer.filters.*
 import org.txm.objects.*
 import org.txm.scripts.*
-import org.txm.scripts.teitxm.*
+import org.txm.importer.xmltxm.*
 
 import filters.CutHeader.*
 import filters.FusionHeader.*
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/compiler.groovy	(revision 927)
@@ -31,8 +31,8 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/annotate.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/annotate.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/annotate.groovy	(revision 927)
@@ -28,7 +28,7 @@
 package org.txm.importer.corptef;
 
 import org.txm.importer.cwb.*
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.importer.*;
 import org.txm.utils.treetagger.TreeTagger;
 import org.txm.Toolbox;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/compiler.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/compiler.groovy	(revision 927)
@@ -32,8 +32,8 @@
 import org.txm.importer.cwb.CwbMakeAll
 import org.txm.importer.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.BuildTTSrc;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.BuildTTSrc;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 
 import javax.xml.stream.*;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/importer.groovy	(revision 927)
@@ -30,7 +30,7 @@
 import org.txm.importer.*;
 import org.txm.importer.filters.*;
 import org.txm.scripts.*;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 import org.txm.utils.treetagger.TreeTagger;
 import javax.xml.stream.*;
 import java.net.URL;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/importer.groovy	(revision 926)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/importer.groovy	(revision 927)
@@ -36,7 +36,7 @@
 import javax.xml.transform.stream.StreamResult;
 
 import org.txm.utils.logger.Log;
-import org.txm.scripts.teitxm.*;
+import org.txm.importer.xmltxm.*;
 
 import java.io.BufferedWriter;
 import java.io.File;
